#include "MenuTextJump_Player2Joystick.h"

InputSetting_Joystick* MenuTextJump_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextJump_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_jump;
}

std::weak_ptr<Entity> MenuTextJump_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextJump_Player2Joystick()
{
	return std::make_shared<MenuTextJump_Player2Joystick>();
}

